Get Dataset

GET
https://api.woosmap.com/datasets/{dataset_id}

Gets dataset details.

Rate limit: 1/1s

Ratelimit: 1/1s

Authorization

private_key
apiKey query

Private key with write permission. Must stay private.

X-Api-Key
apiKey header

Private key with write permission. Must stay private.

Path Parameters

dataset_id
string required

Response

200 application/json

Successful Response

id
string (uuid) required
name
string required
url
string

The url of the data to fetch

The reimport key to be used with the reimport hook endpoint.

created_at
string (date-time) required

The date when the dataset was created.

updated_at
string required

The date when the dataset was last updated.

After this date the dataset will be automatically removed

Errors

401

Unable to locate credentials.

application/json
detail
string required
402

Out of free quota.

application/json
detail
string required
403

Credentials found, but not matching.

application/json
detail
string required
404

Dataset was not found

application/json
details
string required
422

Validation Error

application/json
detail
object[]
Show 3 propertiesHide 3 properties
detail. loc
any[] required
detail. msg
string required
detail. type
string required
429

Rate limit reached

application/json
details
string required
        curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY'

    
        const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

    
        import requests

url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)


    
Was this helpful?